com.mockobjects.dynamic

## Class VoidStub

- java.lang.Object
- - com.mockobjects.dynamic.CallStub
  - - com.mockobjects.dynamic.VoidStub

All Implemented Interfaces:
  Callable, Verifiable

    public class VoidStub
    extends CallStub

### Constructor Summary

Constructors
Constructor and Description
`VoidStub()`

### Method Summary

Methods
`java.lang.Object` `call(Mock mock, java.lang.String methodName, java.lang.Object[] args)`
`java.lang.String` `getDescription()`

### Methods inherited from class com.mockobjects.dynamic.CallStub

`matches, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VoidStub

    public VoidStub()

### Method Detail

#### getDescription

    public java.lang.String getDescription()

#### call

    public java.lang.Object call(Mock mock,
                        java.lang.String methodName,
                        java.lang.Object[] args)
                          throws java.lang.Throwable

Throws:
  `java.lang.Throwable`